# UnpackDepthRGBAShader

## Import

UnpackDepthRGBAShader is an addon, and must be imported explicitly, see [Installation#Addons](https://threejs.org/manual/#en/installation).

```js
import { UnpackDepthRGBAShader } from 'three/addons/shaders/UnpackDepthRGBAShader.js';
```

## Properties

### .UnpackDepthRGBAShader : ShaderMaterial~Shader (inner, constant)

Depth visualization shader that shows depth values as monochrome color.

## Source

[examples/jsm/shaders/UnpackDepthRGBAShader.js](https://github.com/mrdoob/three.js/blob/master/examples/jsm/shaders/UnpackDepthRGBAShader.js)